package de.intevation.gnv.artifacts.fis.product;

import de.intevation.gnv.state.InputData;

import java.util.Collection;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultProduct implements Product {

    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = 6473812725442092770L;

    private String name = null;

    private Collection<InputData> parameter = null;

    private String artifactFactory = null;

    /**
     * Constructor
     *
     * @param name
     * @param parameter
     * @param artifactFactory
     */
    public DefaultProduct(
        String                name,
        Collection<InputData> parameter,
        String                artifactFactory
    ) {
        super();
        this.name            = name;
        this.parameter       = parameter;
        this.artifactFactory = artifactFactory;
    }

    /**
     * @see de.intevation.gnv.artifacts.fis.product.Product#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.artifacts.fis.product.Product#getParameter()
     */
    public Collection<InputData> getParameter() {
        return this.parameter;
    }

    /**
     * @see de.intevation.gnv.artifacts.fis.product.Product#getArtifactFactory()
     */
    public String getArtifactFactory() {
        return this.artifactFactory;
    }

}
